Bug 314109 - ForwardPDF fail when the folder tree contain some character
Summary: ForwardPDF fail when the folder tree contain some character
Status: RESOLVED FIXED
Alias: None
Product: kile
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1.3
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michel Ludwig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 02:58 UTC by Alassane
Modified: 2013-02-02 16:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alassane 2013-01-30 02:58:54 UTC
ForwardPDF fail when trying to compile and forward in a folder whose parent or itself contain at least one character.
For example, put a .tex file in a folder tree with one of its folder containing the character ' (character code 0x27)

forwardPDF fail with the folowing message:
Shell meta characters that cannot be handled are present in the options to the tool.

Maybe there are other instance in witch it fails but haven't found one yet.
Seems like this issue existed for some time:
http://www.kubuntuforums.net/showthread.php?56614-Forward-search-in-Kile-broken-%28PDF%29
Comment 1 Michel Ludwig 2013-02-02 09:07:15 UTC
Git commit 5c41c0129e339adb3c6b2a07c42eee78a800af70 by Michel Ludwig.
Committed on 02/02/2013 at 10:04.
Pushed by mludwig into branch 'master'.

Quote the substituted strings properly in the arguments given to the tools

Note that it is necessary to reset all the tools after this commit.

M  +92   -94   src/data/kilestdtools-win.rc
M  +93   -93   src/data/kilestdtools.rc
M  +4    -5    src/kilelauncher.cpp
M  +3    -5    src/kileproject.cpp
M  +12   -7    src/kiletool.cpp
M  +2    -2    src/kiletool.h

http://commits.kde.org/kile/5c41c0129e339adb3c6b2a07c42eee78a800af70
Comment 2 Michel Ludwig 2013-02-02 09:08:02 UTC
Fixed in Kile 3.0.
Comment 3 Alassane 2013-02-02 16:18:23 UTC
Thank you very much